# Agenda

* Status updates
* Discussion about H1 plans

## Status Updates

No sync last week, much of the team was remote.

* [@steveluscher](https://github.com/steveluscher)
  * ReactNative + Relay OSS are now compatible!
  * Oncall
  * Continuing RelayConnection work
* [@wincent](https://github.com/wincent)
  * Low-level mutation API (RelayGraphQLMutation)
  * Adding documentation to mutations
  * Turning on validation for internal mutations
* [@kassens](https://github.com/kassens)
  * Diff queries slow on large lists, investigating
  * Supporting internal product teams
* [@yungsters](https://github.com/yungsters)
  * Cleaning up codebase
  * Persisted queries
    * Logging issue
    * Web stuff
* [@yuzhi](https://github.com/yuzhi)
  * Support FB GraphQL feature of skipping null fields in GraphQL response
  * Fix for reusing client IDs
  * Relay office hours
* [@josephsavona](https://github.com/josephsavona)
  * Shipped contextual Relay - next step server rendering!
  * Rough proposal for [Relay Core / `react-relay` split](https://github.com/facebook/relay/issues/559)
  * Proof of concept for not doing query tracking (perf positive), not having paths (perf neutral)
  * Fixed non-`nodes` plural root calls in OSS
* [@elynde](https://github.com/elynde)
  * Meetings
    * Perf people
    * React Native London people

## H1 Plans

### Background

One of our goals with Relay is to make it easier for our developers to build apps that work well regardless of the device or network. At Facebook, we recognize that more and more people are using our products [on mobile devices on slower networks](https://newsroom.fb.com/news/2015/10/news-feed-fyi-building-for-all-connectivity/). For example, people in emerging markets typically use devices such as
[2011 year-class phones](https://code.facebook.com/posts/307478339448736/year-class-a-classification-system-for-android/) and connect via [2G class networks](https://code.facebook.com/posts/952628711437136/classes-performance-and-network-segmentation-on-android/). These devices and networks present their own set of engineering challenges and the Relay core team is working to improve performance in these scenarios.

### Discussion

In addition to standard approaches to performance work such as profiling, benchmarking, etc, we're also focusing on a few high-level projects:
- A simpler/faster Relay core. Where possible, we'll move non-critical features into a layer above the core in order to preserve the developer experience *and* get additional perf where necessary.
- New top-level connection API optimized for complex list views.
- New low-level mutation API to help reduce some bookkeeping overhead.
- Normalized GraphQL response format.
- Persisted queries - construct queries at build time, only send query ID to the server.

### Open Source

Hopefully this gives you a bit more context as to how we've prioritized our efforts [since we open-sourced](https://reactjs.org/blog/2015/08/11/relay-technical-preview.html#whats-next) and what we're focusing on going forward. We'll continue to focus our efforts on:
- **Implementing core changes** that enable new features or improve performance for us and/or the majority of the community. For example, just last week we [shipped a React Native example app](https://github.com/facebook/relay/tree/081b4a3f17dcf/examples/TodoMVC) and landed a [prerequisite for server rendering](https://github.com/facebook/relay/issues/558#issuecomment-194302241).
- **Supporting the community** in developing new features outside of the core. The [Relay Core API issue](https://github.com/facebook/relay/issues/559) documents our intended approach here.

As always, feel free to get in touch with us on [Discord](https://discordapp.com/channels/102860784329052160/102861057189490688) or [Stack Overflow](https://stackoverflow.com/questions/tagged/relayjs).
